Package csb :: Package statistics :: Package samplers :: Package mc :: Module multichain :: Class ReplicaHistory

[frames] | no frames]

# Class ReplicaHistory

source code

    object --+
             |
            ReplicaHistory

Replica history object, works with both RE and RENS for the AlternatingAdjacentSwapScheme.

Instance Methods

__init__(self, samples, swap_interval, first_swap=None) x.__init__(...) initializes x; see help(type(x)) for signature | source code

list of ints

calculate_history(self, start_ensemble) Calculates the replica history of the first state of ensemble #start_ensemble. | source code

list of Trajectory objects.

calculate_projected_trajectories(self, ensemble) Calculates sequentially correlated trajectories projected on a specific ensemble. | source code

list of Trajectory objects.

calculate_trajectories(self) Calculates sequentially correlated trajectories. | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, samples, swap_interval, first_swap=None)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `samples` (list) - list holding ensemble states
  - `swap_interval` (int) - interval with which swaps were attempted, e.g., 5 means that every 5th regular MC step is replaced by a swap
  - `first_swap` (int) - sample index of the first sample generated by a swap attempt. If None, the first RE sampled is assumed to have sample index swap_interval. If specified, it has to be greater than zero
Overrides: object.__init__
  (inherited documentation)

### calculate_history(self, start_ensemble)

source code

Calculates the replica history of the first state of ensemble #start_ensemble.

Parameters:
  - `start_ensemble` (int) - index of the ensemble to start at, zero-indexed
Returns: list of ints
  replica history as a list of ensemble indices

### calculate_projected_trajectories(self, ensemble)

source code

Calculates sequentially correlated trajectories projected on a specific ensemble.

Parameters:
  - `ensemble` (int) - ensemble index of ensemble of interest, zero-indexed
Returns: list of Trajectory objects.
  list of Trajectory objects containg sequentially correlated trajectories

### calculate_trajectories(self)

source code

Calculates sequentially correlated trajectories.

Returns: list of Trajectory objects.
  list of Trajectory objects containg sequentially correlated trajectories